Skip to main content
GET
/
v3
/
rank-tracking
/
keywords
List tracked keywords
curl --request GET \
  --url https://api.snowseo.com/v3/rank-tracking/keywords \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "keyword": "<string>",
      "countryId": "<string>",
      "languageId": "<string>",
      "position": 123,
      "positionHistory": [
        {
          "date": "<string>",
          "position": 123
        }
      ],
      "active": true,
      "refreshedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "gscPosition": 123,
      "gscClicks": 123,
      "gscImpressions": 123,
      "isTracked": true,
      "trackingId": "<string>",
      "nextRunAt": "<string>",
      "resultHistory": [
        {}
      ]
    }
  ]
}
Get a list of every keyword you’re tracking for a team, along with its current search position, previous position, and whether it’s improving or declining.
TrendMeaning
improvedPosition went down (closer to #1)
declinedPosition went up (further from #1)
sameNo change
newJust started tracking, no previous data yet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string

Team ID

startDate
string

Start date (YYYY-MM-DD, UTC) for GSC position summary window.

endDate
string

End date (YYYY-MM-DD, UTC) for GSC position summary window.

days
integer

Days to look back for GSC position summary (legacy fallback).

Response

Default Response

items
object[]
required